import { PageElement } from "./element/page-element";
export declare class Page {
    private _name;
    private _id;
    private _content;
    private _rows;
    private readonly _parentPageElement;
    constructor(parentPageElement: PageElement);
    getShortName(): string;
    get name(): string;
    set name(value: string);
    get content(): PageElement[];
    set content(value: PageElement[]);
    get id(): string;
    set id(value: string);
    get parentPageElement(): PageElement;
    updateRows(): void;
}
